﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using WebSiteAdminTool.Common.Utils;
using GalaSoft.MvvmLight;

namespace WebSiteAdminTool.UI.Utils
{
    public static class ConfigManager
    {
        public static Constants.ApplicationModes ApplicationMode
        {
            get
            {
                if (ViewModelBase.IsInDesignModeStatic)
                    return Constants.ApplicationModes.Design;

                // TODO: add testing mode check
                return Constants.ApplicationModes.RunTime;
            }
        }
    }
}
