﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Runtime.Serialization;
using WebSiteAdminTool.Common.Interfaces;
using System.Web.Security;

namespace WebSiteAdminTool.Web.Services.DTOs
{
    [DataContract]
    public class UserPasswordConstraintsData
    {
        [DataMember]
        public bool EnablePasswordReset { get; set; }
        [DataMember]
        public bool EnablePasswordRetrieval { get; set; }
        [DataMember]
        public int MaxInvalidPasswordAttempts { get; set; }
        [DataMember]
        public int MinRequiredNonAlphanumericCharacters { get; set; }
        [DataMember]
        public int MinRequiredPasswordLength { get; set; }
        [DataMember]
        public int PasswordAttemptWindow { get; set; }
        [DataMember]
        public string PasswordStrengthRegularExpression { get; set; }
        [DataMember]
        public bool RequiresQuestionAndAnswer { get; set; }
    }
}