﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Ninject.Modules;
using WebSiteAdminTool.UI.ViewModels.Security.Users;
using WebSiteAdminTool.UI.Utils.Interfaces;
using WebSiteAdminTool.UI.Services.Navigation;
using WebSiteAdminTool.UI.Services.ModalDialogs;
using WebSiteAdminTool.UI.Views.Security.Users;
using WebSiteAdminTool.UI.Services.MessageBoxes;

namespace WebSiteAdminTool.UI.Ioc.Mappings
{
    public class RunTimeServiceMappings : NinjectModule
    {
        public override void Load()
        {
            //Bind<IMainViewModel>().To<MainViewModel>().InSingletonScope();
            //Bind<IUserViewModel>().To<UserViewModel>();
            //Bind<IProductViewModel>().To<ProductViewModel>();

            // ------------------------------------ Services ---------------------------------------------------
            Bind<INavigationService>().To<NavigationService>().InSingletonScope();
            Bind<IModalDialogService>().To<ModalDialogService>().InSingletonScope();
            Bind<IMessageBoxService>().To<MessageBoxService>().InSingletonScope();
        }
    }
}
