﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Ninject.Modules;
using WebSiteAdminTool.UI.ViewModels.Security.Users;
using WebSiteAdminTool.UI.Utils.Interfaces;
using WebSiteAdminTool.UI.Services.Navigation;
using WebSiteAdminTool.UI.Services.ModalDialogs;
using WebSiteAdminTool.UI.Views.Security.Users;
using WebSiteAdminTool.UI.Views.Security.Roles;

namespace WebSiteAdminTool.UI.Ioc.Mappings
{
    public class RunTimeViewMappings : NinjectModule
    {
        public override void Load()
        {
            //Bind<IMainViewModel>().To<MainViewModel>().InSingletonScope();
            //Bind<IUserViewModel>().To<UserViewModel>();
            //Bind<IProductViewModel>().To<ProductViewModel>();

            // ------------------------------------ Views ------------------------------------------------------
            Bind<IModalWindow>().To<ManageRoleModalDialogView>().Named("ManageRoleDialog");
            Bind<IModalWindow>().To<CreateUserModalDialogView>().Named("CreateUserDialog");
            Bind<IModalWindow>().To<EditUserModalDialogView>().Named("EditUserDialog");
        }
    }
}
