﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using WebSiteAdminTool.UI.ViewModels.Base;

namespace WebSiteAdminTool.UI.Services.ModalDialogs
{
    public interface IModalDialogService
    {
        void ShowDialog<TViewModel>(IModalWindow view, TViewModel viewModel, Action<TViewModel> onDialogClose) where TViewModel: BaseDialogViewModel;

        void ShowDialog<TViewModel>(IModalWindow view, TViewModel viewModel) where TViewModel : BaseDialogViewModel;
    }
}
