﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WebSiteAdminTool.Web.DataAccess.Interfaces
{
    public interface IRolesDataAccess
    {
        bool UpdateRole(Guid roleId, string roleName, string description);

        aspnet_Roles[] GetRoles();

        Dictionary<Guid, int> GetRolesUsages();

        Guid GetRoleId(string roleName);

        bool RemoveRoleUsages(Guid roleId);

        bool RemoveRole(Guid roleId);
    }
}
