﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using WebSiteAdminTool.Web.Services.DTOs;

namespace WebSiteAdminTool.Web.Services.Contracts
{
    // NOTE: You can use the "Rename" command on the "Refactor" menu to change the interface name "IRolesService" in both code and config file together.
    [ServiceContract]
    public interface IRolesService
    {
        [OperationContract]
        RoleData[] GetRoles();

        [OperationContract]
        RoleData CreateRole(RoleData role);

        [OperationContract]
        RoleData UpdateRole(RoleData role);

        [OperationContract]
        bool RemoveRole(Guid roleId);

        [OperationContract]
        bool RemoveRoleUsages(Guid roleId);
    }
}
